    The XSPEC ireflect convolution model: reflection from ionized material

xsireflect
The xsireflect model is a convolution model component.

The model is described at [1] .

>>> create_model_component("xsireflect", "mdl")
>>> print(mdl)

Create a component of the xsireflect model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.rel_refl thawed 0 -1 1e+06 mdl.Redshift frozen 0 -0.999 10 mdl.abund frozen 1 0 1e+06 mdl.Fe_abund frozen 1 0 1e+06 mdl.cosIncl frozen 0.45 0.05 0.95 mdl.T_disk frozen 30000 10000 1e+06 K mdl.xi frozen 1 0 5000 erg cm/s

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
rel_refl
The reflection scaling factor (1 for isotropic source above disk).
Redshift
The redshift of the source.
abund
The abundance of elements heavier than He relative to their solar abundances.
Fe_abund
The iron abundance relative to the above.
cosIncl
The cosine of the inclination angle.
T_disk
The disk temperature in K.
xi
The disk ionization parameter: see [1] for an explanation.

Notes

Unlike XSPEC, the convolution model is applied directly to the model, or models, rather than using the multiplication symbol.

The precision of the numerical integration can be changed by using the set_xsxset function to set the value of the IREFLECT_PRECISION keyword, which defines the fractional precision. The default is 0.01 (1%).

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelIreflect.html

Changes in CIAO

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023